PARSECVER=2.1
ARCHIVE=parsec-$PARSECVER-sim.tar.gz
SRC=http://parsec.cs.princeton.edu/download/$PARSECVER/$ARCHIVE
CLASS=simsmall

if [ ! -e $ARCHIVE ]; then
  echo === Downloading Archive ===
  wget $SRC
fi

if [ ! -e parsec-$PARSECVER ]; then
  echo === Unpacking Archive ===
  tar -xzf $ARCHIVE
fi

echo === Copying Data ===
BASE=../../parsec-$PARSECVER/pkgs

for app in \
  blackscholes bodytrack canneal dedup facesim ferret fluidanimate freqmine raytrace vips x264
do
    echo -n "$app "
    pushd src/$app > /dev/null
    tar -xf $BASE/*/$app/inputs/input_$CLASS.tar
    popd > /dev/null
done
echo
